Skip to main content
POST
/
v2
/
sso
/
saml2
/
finish
Finish SAML2 SSO login
curl --request POST \
  --url https://{projectId}.frontendapi.corbado.io/v2/sso/saml2/finish \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'SAMLResponse=<string>' \
  --data 'RelayState=<string>'
{
  "httpStatusCode": 123,
  "message": "OK",
  "requestData": {
    "requestID": "req-557...663",
    "link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
  },
  "runtime": 0.06167686,
  "error": {
    "type": "<string>",
    "details": "<string>",
    "validation": [
      {
        "field": "<string>",
        "message": "<string>"
      }
    ],
    "links": [
      "<string>"
    ]
  },
  "data": {}
}

Authorizations

Authorization
string
header
required

After a user logs in successfully, a session is created and a JWT token is returned. This token represents the user's authenticated session. It must be included in the Authorization header as a Bearer token for all protected endpoints:

Authorization: Bearer <your-token>

The server will validate this token to authorize access.

Body

application/x-www-form-urlencoded
SAMLResponse
string
required
RelayState
string
required

Response

Redirect to the target URL after successful login.